curl --request GET \
--url https://api.cnap.tech/v1/compute/configs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"provider": "hcloud",
"provider_config": {
"provider": "<string>",
"region": "<string>",
"image": "<string>",
"machine_type_filter": "<string>"
},
"cloud_credential_id": "<string>",
"created_at": 123
}
],
"pagination": {
"cursor": "<string>",
"has_more": true
}
}Lists compute configs for the workspace.
curl --request GET \
--url https://api.cnap.tech/v1/compute/configs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"provider": "hcloud",
"provider_config": {
"provider": "<string>",
"region": "<string>",
"image": "<string>",
"machine_type_filter": "<string>"
},
"cloud_credential_id": "<string>",
"created_at": 123
}
],
"pagination": {
"cursor": "<string>",
"has_more": true
}
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Pagination cursor from previous response
Items per page (1-100)
1 <= x <= 10050